#ifndef _D_BAG_H
#define _D_BAG_H

#include "disk_tools.h"

namespace disk_tools {

class d_bag {
   string name;
   fstream  bin_file;

   d_bag(const string & name); 

   ~d_bag();

public:
   template< class T >
   bool get(const string & name, T * & ptr) {
   }
};

}

#endif /* _D_BAG_H */
